Package net.snowflake.client.core.auth.wif

## Class AwsIdentityAttestationCreator

- java.lang.Object
- - net.snowflake.client.core.auth.wif.AwsIdentityAttestationCreator

    @SnowflakeJdbcInternalApi
    public class AwsIdentityAttestationCreator
    extends Object

### Constructor Summary

Constructors
`AwsIdentityAttestationCreator​(AwsAttestationService attestationService)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WorkloadIdentityAttestation` `createAttestation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AwsIdentityAttestationCreator

    public AwsIdentityAttestationCreator​(AwsAttestationService attestationService)

### Method Detail

#### createAttestation

    public WorkloadIdentityAttestation createAttestation()